GetCustomDetectionRuleAssociation
Returns details for a custom detection rule association.
Request Syntax
GET /custom-detection-rule/rule/RuleId/association/AssociationId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- AssociationId
-
The unique identifier for the association.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[a-zA-Z0-9_-]{1,64}Required: Yes
- RuleId
-
The unique identifier for the custom detection rule.
Length Constraints: Minimum length of 1. Maximum length of 100.
Pattern:
[a-z0-9]+(-[a-z0-9]+)*Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"ruleAssociation": {
"accountId": "string",
"arn": "string",
"associationId": "string",
"createdAt": number,
"expiresAt": number,
"mode": "string",
"ruleId": "string",
"updatedAt": number
},
"tags": {
"string" : "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- ruleAssociation
-
The details of the custom detection rule association.
Type: AssociationDetail object
-
The tags associated with the custom detection rule association resource.
Type: String to string map
Map Entries: Maximum number of 200 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
(?!aws:)[a-zA-Z+-=._:/]+Value Length Constraints: Minimum length of 0. Maximum length of 256.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
An access denied exception object.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 403
- BadRequestException
-
A bad request exception object.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 400
- InternalServerErrorException
-
An internal server error exception object.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 500
- ResourceNotFoundException
-
The requested resource can't be found.
- Message
-
The error message.
- Type
-
The error type.
HTTP Status Code: 404
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: